# Uses of Enum Class
java.net.http.HttpClient.Redirect

Packages that use HttpClient.Redirect
Package
Description
java.net.http
HTTP Client and WebSocket APIs

- ## Uses of HttpClient.Redirect in java.net.http

  Subclasses with type arguments of type HttpClient.Redirect in java.net.http
  Modifier and Type
  Class
  Description
  `static enum`
  `HttpClient.Redirect`
  Defines the automatic redirection policy.
  Methods in java.net.http that return HttpClient.Redirect
  Modifier and Type
  Method
  Description
  `abstract HttpClient.Redirect`
  HttpClient.`followRedirects()`
  Returns the follow redirects policy for this client.
  `static HttpClient.Redirect`
  HttpClient.Redirect.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HttpClient.Redirect[]`
  HttpClient.Redirect.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in java.net.http with parameters of type HttpClient.Redirect
  Modifier and Type
  Method
  Description
  `HttpClient.Builder`
  HttpClient.Builder.`followRedirects(HttpClient.Redirect policy)`
  Specifies whether requests will automatically follow redirects issued by the server.